=== debian/control ===
Source: fifechan
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 10),
 liballegro4-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-ttf-dev
Standards-Version: 3.9.8
Homepage: http://fifengine.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/fifechan.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/fifechan.git

Package: libfifechan0.1.3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: lightweight cross platform GUI library written in C++
 Fifechan is a lightweight cross platform GUI library written in C++
 specifically designed for games. It has a small yet powerful built in set of
 extendable GUI Widgets allowing users to create virtually unlimited types of
 widgets.
 .
 This package contains the runtime libraries for Fifechan.

Package: libfifechan-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libfifechan0.1.3 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for the GUI library Fifechan
 Fifechan is a lightweight cross platform GUI library written in C++
 specifically designed for games. It has a small yet powerful built in set of
 extendable GUI Widgets allowing users to create virtually unlimited types of
 widgets.
 .
 Fifechan supports rendering in SDL, OpenGL, or Allegro out of the box or it
 can be adapted to use any rendering engine the user requires. Events are
 pushed to Fifechan which allows users to use any input library they wish or
 they could use the built in input handling through either SDL input or Allegro
 input.
 .
 The primary goal for Fifechan is to keep it extendable, lightweight and still
 be powerful enough to use in all types of games out of the box.
 .
 This package contains development files for Fifechan.
