## fifechan 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 1)
-SET(PATCH_VERSION 3)
+SET(PATCH_VERSION 4)
 SET(FIFECHAN_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 SET(LIB_SUFFIX "" CACHE STRING "Suffix to append to the system lib folder")
@@ -100,8 +100,7 @@
   include/fifechan/deathlistener.hpp	
   include/fifechan/defaultfont.hpp		
   include/fifechan/event.hpp		
-  include/fifechan/exception.hpp
-  include/fifechan/fixedsizeconstraint.hpp  
+  include/fifechan/exception.hpp 
   include/fifechan/focushandler.hpp	
   include/fifechan/focuslistener.hpp	
   include/fifechan/font.hpp		
@@ -126,8 +125,6 @@
   include/fifechan/rectangle.hpp		
   include/fifechan/selectionevent.hpp	
   include/fifechan/selectionlistener.hpp	
-  include/fifechan/size.hpp
-  include/fifechan/sizeconstraint.hpp
   include/fifechan/text.hpp
   include/fifechan/utf8stringeditor.hpp
   include/fifechan/visibilityeventhandler.hpp
@@ -261,3 +258,6 @@
   SOURCE_GROUP(src/fifechan FILES ${FIFECHAN_IRRLICHT_HEADER})
   SOURCE_GROUP(src/fifechan/irrlicht FILES ${FIFECHAN_IRRLICHT_HEADERS} ${FIFECHAN_IRRLICHT_SRC})
 
+  IF(BUILD_FIFECHAN_IRRLICHT_SHARED)
+    SET(FIFECHAN_IRRLICHT_LIBRARY_TYPE SHARED)
+  ELSE(BUILD_FIFECHAN_IRRLICHT_SHARED)
