=== debian/changelog ===
fifechan (0.1.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Thu, 06 Jul 2017 23:25:35 +0200

fifechan (0.1.4-1) experimental; urgency=medium

  * New upstream version 0.1.4.
  * Drop segfault-quit-game.patch. Fixed upstream.
  * Rename the binary package because of the SONAME bump.
  * export DEB_BUILD_MAINT_OPTIONS = hardening=+all.

 -- Markus Koschany <apo@debian.org>  Mon, 19 Jun 2017 21:11:46 +0200
