=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-ttf-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://fifengine.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/fifechan.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/fifechan.git
 
-Package: libfifechan0.1.3
+Package: libfifechan0.1.4
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -37,7 +37,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libfifechan0.1.3 (= ${binary:Version}),
+ libfifechan0.1.4 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for the GUI library Fifechan
  Fifechan is a lightweight cross platform GUI library written in C++
