## fifechan 0.1.4+git20180904

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,11 @@
 
 OPTION(BUILD_FIFECHAN_SHARED            "Build the Fifechan core library as a shared library"                ON)
 
-OPTION(ENABLE_ALLEGRO                   "Enable the Fifechan Allegro extension"                              ON)
-OPTION(BUILD_FIFECHAN_ALLEGRO_SHARED    "Build the Fifechan Allegro extension library as a shared library"   ON)
-
-OPTION(ENABLE_IRRLICHT                  "Enable the Fifechan Irrlicht extension"                             ON)
-OPTION(BUILD_FIFECHAN_IRRLICHT_SHARED   "Build the Fifechan Irrlicht extension library as a shared library"  ON)
+OPTION(ENABLE_ALLEGRO                   "Enable the Fifechan Allegro extension"                              OFF)
+OPTION(BUILD_FIFECHAN_ALLEGRO_SHARED    "Build the Fifechan Allegro extension library as a shared library"   OFF)
+
+OPTION(ENABLE_IRRLICHT                  "Enable the Fifechan Irrlicht extension"                             OFF)
+OPTION(BUILD_FIFECHAN_IRRLICHT_SHARED   "Build the Fifechan Irrlicht extension library as a shared library"  OFF)
 
 OPTION(ENABLE_OPENGL                    "Enable the Fifechan OpenGL extension"                               ON)
 OPTION(ENABLE_OPENGL_CONTRIB            "Enable the Fifechan OpenGL contrib extension (freetype, oglft)"     OFF)
@@ -81,6 +81,18 @@
 # Disable in-source builds and modifications to the source tree.
 set(CMAKE_DISABLE_SOURCE_CHANGES ON)
 set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
+
+#------------------------------------------------------------------------------
+#                                 Compiler Options                                         
+#------------------------------------------------------------------------------
+
+if(WIN32)
+  if(MSVC)
+    # ensure we use minimal "windows.h" lib without the crazy min max macros    
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /D \"WIN32_LEAN_AND_MEAN\"")
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /D \"NOMINMAX\"")
+  endif(MSVC)
+endif(WIN32)
 
 #------------------------------------------------------------------------------
 #                                 Source Files                                             
@@ -121,18 +133,22 @@
   include/fifechan/mouseevent.hpp		
   include/fifechan/mouseinput.hpp		
   include/fifechan/mouselistener.hpp	
-  include/fifechan/platform.hpp		
+  include/fifechan/platform.hpp
+  include/fifechan/point.hpp		
   include/fifechan/rectangle.hpp		
   include/fifechan/selectionevent.hpp	
-  include/fifechan/selectionlistener.hpp	
+  include/fifechan/selectionlistener.hpp
+  include/fifechan/size.hpp	
   include/fifechan/text.hpp
   include/fifechan/utf8stringeditor.hpp
+  include/fifechan/version.hpp
   include/fifechan/visibilityeventhandler.hpp
   include/fifechan/widget.hpp		
   include/fifechan/widgetlistener.hpp
   include/fifechan/opengl.hpp
 )
 FILE(GLOB FIFECHAN_WIDGET_HEADERS include/fifechan/widgets/*.hpp)
+FILE(GLOB FIFECHAN_UTIL_HEADERS include/fifechan/util/*.hpp)
 FILE(GLOB FIFECHAN_SRC src/*.cpp)
 FILE(GLOB FIFECHAN_WIDGET_SRC src/widgets/*.cpp)
 
@@ -152,10 +168,11 @@
 ENDIF(BUILD_FIFECHAN_SHARED)
 
 ADD_LIBRARY(${PROJECT_NAME} ${FIFECHAN_LIBRARY_TYPE} 
-	${FIFECHAN_HEADER} 
-	${FIFECHAN_HEADERS} 
-	${FIFECHAN_WIDGET_HEADERS} 
-	${FIFECHAN_SRC} 
+	${FIFECHAN_HEADER}
+	${FIFECHAN_HEADERS}
+	${FIFECHAN_WIDGET_HEADERS}
+	${FIFECHAN_UTIL_HEADERS}
+	${FIFECHAN_SRC}
 	${FIFECHAN_WIDGET_SRC}
 )
 
@@ -178,6 +195,7 @@
 INSTALL(FILES ${FIFECHAN_HEADER}                  DESTINATION include/)
 INSTALL(FILES ${FIFECHAN_HEADERS}                 DESTINATION include/fifechan/)
 INSTALL(FILES ${FIFECHAN_WIDGET_HEADERS}          DESTINATION include/fifechan/widgets/)
+INSTALL(FILES ${FIFECHAN_UTIL_HEADERS}            DESTINATION include/fifechan/util/)
 
 #REMOVE_DEFINITIONS("-DFIFECHAN_BUILD")
 #ADD_DEFINITIONS("-DFIFECHAN_EXTENSION_BUILD")
@@ -242,22 +260,3 @@
 
 #------------------------------------------------------------------------------
 #                   Fifechan Irrlicht extension library                                         
-#------------------------------------------------------------------------------
-
-FIND_PACKAGE(Irrlicht)
-IF(ENABLE_IRRLICHT AND IRRLICHT_FOUND)
-
-  INCLUDE_DIRECTORIES(${IRRLICHT_INCLUDE_DIR})
-
-  # The Fifechan Irrlicht extension source
-  FILE(GLOB FIFECHAN_IRRLICHT_HEADER include/fifechan/irrlicht.hpp)
-  FILE(GLOB FIFECHAN_IRRLICHT_HEADERS include/fifechan/irrlicht/*.hpp)
-  FILE(GLOB FIFECHAN_IRRLICHT_SRC src/irrlicht/*.cpp)
-
-  # Grouping of the source for nicer display in IDEs such as Visual Studio
-  SOURCE_GROUP(src/fifechan FILES ${FIFECHAN_IRRLICHT_HEADER})
-  SOURCE_GROUP(src/fifechan/irrlicht FILES ${FIFECHAN_IRRLICHT_HEADERS} ${FIFECHAN_IRRLICHT_SRC})
-
-  IF(BUILD_FIFECHAN_IRRLICHT_SHARED)
-    SET(FIFECHAN_IRRLICHT_LIBRARY_TYPE SHARED)
-  ELSE(BUILD_FIFECHAN_IRRLICHT_SHARED)
