=== debian/changelog ===
fifechan (0.1.4+git20180904-1) unstable; urgency=medium

  * New upstream version 0.1.4+git20180904.
  * Switch to compat level 11.
  * Use dh_missing override.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove allegro. No longer built by fifechan.

 -- Markus Koschany <apo@debian.org>  Tue, 04 Sep 2018 15:36:37 +0200
