=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
- liballegro4-dev,
+ debhelper (>= 11),
  libgl1-mesa-dev,
  libglu1-mesa-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-ttf-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: http://fifengine.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/fifechan.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/fifechan.git
