## fifechan 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 1)
-SET(PATCH_VERSION 4)
+SET(PATCH_VERSION 5)
 SET(FIFECHAN_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 SET(LIB_SUFFIX "" CACHE STRING "Suffix to append to the system lib folder")
