=== debian/changelog ===
fifechan (0.1.5-4) unstable; urgency=medium

  * Team Upload
  * Patch for CMake 4 (Closes: #1112912)
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.2
  * Drop dpkg-dev dependency, this won't be backported

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 Oct 2025 14:55:01 +0200

fifechan (0.1.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062590

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 08:38:45 +0000

fifechan (0.1.5-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2.
  * Depend on libgl-dev instead of libgl1-mesa-dev.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Feb 2023 00:04:45 +0100

fifechan (0.1.5-2) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Remove override for dh_missing. This is now the default.

 -- Markus Koschany <apo@debian.org>  Thu, 07 Jan 2021 23:57:07 +0100

fifechan (0.1.5-1) unstable; urgency=medium

  * New upstream version 0.1.5.
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Rename the binary packages because of the SONAME bump.

 -- Markus Koschany <apo@debian.org>  Sun, 13 Jan 2019 21:42:28 +0100
