=== debian/control ===
--- 
+++ 
@@ -6,18 +6,21 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11),
- libgl1-mesa-dev,
+ debhelper-compat (= 13),
+ libgl-dev,
  libglu1-mesa-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-ttf-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Homepage: http://fifengine.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/fifechan.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/fifechan.git
+Vcs-Git: https://salsa.debian.org/games-team/fifechan.git
+Vcs-Browser: https://salsa.debian.org/games-team/fifechan
 
-Package: libfifechan0.1.4
+Package: libfifechan0.1.5t64
+Provides: ${t64:Provides}
+Replaces: libfifechan0.1.5
+Breaks: libfifechan0.1.5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -36,7 +39,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libfifechan0.1.4 (= ${binary:Version}),
+ libfifechan0.1.5t64 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for the GUI library Fifechan
  Fifechan is a lightweight cross platform GUI library written in C++
