=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/fifechan-$1.tar.gz/" \
https://github.com/fifengine/fifechan/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
